Skip to main content
GET
/
ai
/
assistants
/
tests
/
test-suites
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const testSuites = await client.ai.assistants.tests.testSuites.list();

console.log(testSuites.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
test_suites = client.ai.assistants.tests.test_suites.list()
print(test_suites.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
testSuites, err := client.AI.Assistants.Tests.TestSuites.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", testSuites.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.assistants.tests.testsuites.TestSuiteListParams;
import com.telnyx.sdk.models.ai.assistants.tests.testsuites.TestSuiteListResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

TestSuiteListResponse testSuites = client.ai().assistants().tests().testSuites().list();
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

test_suites = telnyx.ai.assistants.tests.test_suites.list

puts(test_suites)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$testSuites = $client->ai->assistants->tests->testSuites->list();

var_dump($testSuites);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx ai:assistants:tests:test-suites list \
--api-key 'My API Key'
curl --request GET \
--url https://api.telnyx.com/v2/ai/assistants/tests/test-suites \
--header 'Authorization: Bearer <token>'
{
  "data": [
    "customer-support",
    "sales-flow",
    "onboarding"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Returns an array of unique test suite names for filtering and organization

Response containing all available test suite names.

Returns a list of distinct test suite names that can be used for filtering and organizing tests.

data
string[]
required

Array of unique test suite names available to the user.

Example:
[
"customer-support",
"sales-flow",
"onboarding"
]